Subject: bug#12067: 24.1; improper menu formatting with multiple \t chars

From: "Drew Adams" <[email-masked]>
Date: Fri, 27 Jul 2012 09:24:47 -0700

> > emacs -Q
> > (defcustom foo [:ascii:]
> >   "..."
> >   :type
> >   '(choice :tag "Foobar"
> >     (const :tag "A\t\t- [:ascii:]"  [:ascii:])
...
>
> I cannot reproduce this here, neither in Emacs 24.1 nor in the current
> trunk version.
> 
> What I did was copy-paste your example to a fresh Emacs session, then
> "M-x eval-region RET", then "M-x customize-option RET foo RET" and
> click the "Value Menu" to display the menu.  It displayed correctly,
> nicely aligned and with no artifacts.

What can I say?  I do exactly that, with Emacs 24.1 and emacs -Q, and I see what
is in the attached screenshot.